> On Jan 13, 2018, at 7:16 PM, Dan Weatherill <dan.weather...@cantab.net> wrote:
> 
> Dear all,
> apologies first for the (unrelated to 5.0 stable) spam.
> 
> I have been working for a while on a back-annotation tool for kicad. It is 
> finally in a shape where I feel it's worth letting others look at it and 
> getting some feedback. You can find it here:
> 
> https://github.com/weatherhead99/kicad_backannotate
> 
> Any issues or comments very welcome! 
> I hope to work on getting something like this into kicad itself in the longer 
> term.

Hi, Dan,

I am trying to get this to work on a macOS High Sierra machine.

I’ve installed Python3, because PyQt5 and its dependency SIP both require it.

When I go to install your module, using either

$ pip install. 

or 

$ python setup.py install

I get an error:

ImportError PyQt5

I installed SIP and PyQt5 using

pip3 install PyQt5

and it seemed be happy.

I imagine that this has to do with your code being python2 and PyQt5 being 
python3?

My python-fu is quite limited … any help is appreciated.

-a 



_______________________________________________
Mailing list: https://launchpad.net/~kicad-developers
Post to     : kicad-developers@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kicad-developers
More help   : https://help.launchpad.net/ListHelp

Reply via email to